انجمن‌های فارسی اوبونتو

لطفاً به انجمن‌ها وارد شده و یا جهت ورود ثبت‌نام نمائید

لطفاً جهت ورود نام کاربری و رمز عبورتان را وارد نمائید

نویسنده موضوع: مشکل با پاک کردن phpmyadmin  (دفعات بازدید: 321 بار)

0 کاربر و 1 مهمان درحال مشاهده موضوع.

آفلاین masoudmm

  • Newbie
  • *
  • ارسال: 4
مشکل با پاک کردن phpmyadmin
« : 14 فروردین 1396، 06:12 ب‌ظ »
سلام

من به یه مشکلی با phpmyadmin برخوردم. مشکلم هم اینه که خواستم پاکش کنم. تو اینترنت سرچ کردم و اولین دستوری که دیدم ( یادم نیست  :-X ) رو در ترمینال زدم. بعد دیدم یک اروری اومد که ظاهرا کامل پاک نشد.

بعد از اون یک علامت اخطار اومد بالا سمت راست ( کنار ساعت و زبان ) روش که کلیک میکنم یک پیغامی باز میشه که میگه :

An error has occurred. Run package manager from the right click menu or apt-get in a terminal to see what is wrong. The error message was: "error. brokencount > 0 this usually means you have unmet dependencies."
apt-get رو تو ترمینال زدم ولی چیزی در مورد ارور ندیدم. روی همین package manager که گفته کلیک کردم و دیدم تو بخش بروکن phpmyadmin جا خوش کرده روی Phpmyadmin راست کلیک کردم و mark completely remove رو زدم. بعد از apply این ارور رو میده :‌

E: phpmyadmin: subprocess installed pre-removal script returned error exit status 127

خلاصه نمیدونم چکارش کنم. کلا بعد از این مشکل نمیتونم چیزی رو نصب کنم.

وقتی هم این رو توی ترمینال میزنم :

sudo apt-get update
این ارور رو میده :
E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?

چیزی هم بخوام نصب کنم بازم همین ارور رو میده.

این ارور رو سرچ کردم.یکی توی askubuntu گفته بود این دستورات رو توی ترمینال اجرا کنید :

sudo rm /var/lib/apt/lists/lock
sudo rm /var/cache/apt/archives/lock
sudo rm /var/lib/dpkg/lock


این ها رو هم اجرا کردم. این دفعه که میام چیزی نصب کنم این ارور رو میده :

Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 phpmyadmin : Depends: libapache2-mod-php or
                       libapache2-mod-phpfilter but it is not installable or
                       php-cgi or
                       php-fpm or
                       php
              Recommends: apache2 but it is not going to be installed or
                          lighttpd but it is not going to be installed or
                          httpd
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

خیلی ممنون میشم کسی راه حلی پیشنهاد بده  :(

آفلاین nixoeen

  • ناظر انجمن
  • *
  • ارسال: 3488
  • جنسیت : پسر
  • masoft قدیم
پاسخ : مشکل با پاک کردن phpmyadmin
« پاسخ #1 : 14 فروردین 1396، 06:30 ب‌ظ »
کار اشتباهی کردید... پاک کردن دستی اون فایل‌ها می‌تونه منجر به همچین چیزی بشه، همچنین باعث بشه که پایداری سیستم شما پایین بیاد و ممکنه دائما به دلایل نامشخص به مشکل بر بخورید. سعی کنید بدون شناخت کامل از کاری که انجام میدید، با کاربر روت دستوری رو اجرا نکنید!

خروجی این دستور چیه؟
sudo apt-get -f install

آفلاین masoudmm

  • Newbie
  • *
  • ارسال: 4
پاسخ : مشکل با پاک کردن phpmyadmin
« پاسخ #2 : 14 فروردین 1396، 06:52 ب‌ظ »
این خروجی :
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  dbconfig-common dbconfig-mysql javascript-common libjs-jquery
  libjs-sphinxdoc libjs-underscore libmcrypt4 php-gd php-mcrypt php-phpseclib
  php-tcpdf php7.0-gd php7.0-mcrypt
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  phpmyadmin
0 upgraded, 0 newly installed, 1 to remove and 5 not upgraded.
1 not fully installed or removed.
After this operation, 25.0 MB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database ... 218432 files and directories currently installed.)
Removing phpmyadmin (4:4.5.4.1-2ubuntu2) ...
/var/lib/dpkg/info/phpmyadmin.prerm: 88: /etc/dbconfig-common/phpmyadmin.conf: [Servers][][AllowRoot]: not found
dpkg: error processing package phpmyadmin (--remove):
 subprocess installed pre-removal script returned error exit status 127
/var/lib/dpkg/info/phpmyadmin.config: 88: /etc/dbconfig-common/phpmyadmin.conf: [Servers][][AllowRoot]: not found
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 phpmyadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)

آفلاین nixoeen

  • ناظر انجمن
  • *
  • ارسال: 3488
  • جنسیت : پسر
  • masoft قدیم
پاسخ : مشکل با پاک کردن phpmyadmin
« پاسخ #3 : 15 فروردین 1396، 05:09 ق‌ظ »
این فایل رو تغییر دادید؟
/var/lib/dpkg/info/phpmyadmin.config

آفلاین masoudmm

  • Newbie
  • *
  • ارسال: 4
پاسخ : مشکل با پاک کردن phpmyadmin
« پاسخ #4 : 15 فروردین 1396، 04:43 ب‌ظ »
نه اصلا

این محتویات فایل :‌

#!/bin/sh

set -e

. /usr/share/debconf/confmodule

if [ -f /usr/share/dbconfig-common/dpkg/config.mysql ]; then
        . /usr/share/dbconfig-common/dpkg/config.mysql
        if ! dbc_go phpmyadmin $@ ; then
            echo 'Automatic configuration using dbconfig-common failed!'
        fi
fi

db_version 2.0

db_input high phpmyadmin/reconfigure-webserver || true

if [ ! -f /etc/phpmyadmin/htpasswd.setup ]; then
db_input low phpmyadmin/setup-username || true
db_input low phpmyadmin/setup-password || true
fi

db_go || true

آفلاین masoudmm

  • Newbie
  • *
  • ارسال: 4
پاسخ : مشکل با پاک کردن phpmyadmin
« پاسخ #5 : 19 فروردین 1396، 06:26 ب‌ظ »
مشکل من به این شکل حل شد که این دستور رو اجرا کردم :

sudo -i gedit /var/lib/dpkg/status
یک فایل متنی باز میشه. پکیج phpmyadmin رو از ابتدا تا انتها ( بلاک مربوط به phpmyadmin ) پاک کردم و فایل رو سیو کردم.

آفلاین Sadegh Alirezaie

  • Full Member
  • *
  • ارسال: 179
  • جنسیت : پسر
  • Pythonista
    • Sadegh
پاسخ : مشکل با پاک کردن phpmyadmin
« پاسخ #6 : 22 فروردین 1396، 10:02 ق‌ظ »
این خروجی :
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  dbconfig-common dbconfig-mysql javascript-common libjs-jquery
  libjs-sphinxdoc libjs-underscore libmcrypt4 php-gd php-mcrypt php-phpseclib
  php-tcpdf php7.0-gd php7.0-mcrypt
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  phpmyadmin
0 upgraded, 0 newly installed, 1 to remove and 5 not upgraded.
1 not fully installed or removed.
After this operation, 25.0 MB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database ... 218432 files and directories currently installed.)
Removing phpmyadmin (4:4.5.4.1-2ubuntu2) ...
/var/lib/dpkg/info/phpmyadmin.prerm: 88: /etc/dbconfig-common/phpmyadmin.conf: [Servers][][AllowRoot]: not found
dpkg: error processing package phpmyadmin (--remove):
 subprocess installed pre-removal script returned error exit status 127
/var/lib/dpkg/info/phpmyadmin.config: 88: /etc/dbconfig-common/phpmyadmin.conf: [Servers][][AllowRoot]: not found
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 phpmyadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)

دستور زیر رو امتحان کنید:

$ sudo apt-get remove phpmyadmin
$ sudo apt-get autoremove
$ sudo apt-get -f install

نتیجه رو اینجا بفرستید.
Poor Are Those Who Have Eyes But Can Not See